Subject: Re: kernel dies if loopback device not intialized

From: John Dykstra <[email-masked]>
Date: Wed, 17 Jun 2009 21:51:22 -0500

On Tue, 2009-06-16 at 21:53 -0700, Stephen Hemminger wrote:
> The packets come from SNMP smux which opens a TCP socket over 127.1
> but the loopback interface is in admin down. 

Hmmm...the stack is doing the ARP because it doesn't have a valid route
for 127.0.0.1.  But I would expect it to be ARPing a default router, and
getting a response (modulo your network state).  What am I missing?

> I suspect the packet
> bouncing from ARP is the TCP SYN packet which does not have a
> mac_header()
> because it is going over the (down) loopback.

Loopback packets have a L2 header--it's just not very interesting.

Even if they never got an L2 header added, skb->mac_header shouldn't be
garbage.

  --  John